#!/usr/bin/env python
# coding: utf8
import argparse
import json
from struct import pack

def convert(file_json):

  with open(file_json) as f:
    data = json.load(f)
    metrics = data['metrics']

    ffile = open('ff','wb')
    ffile.write(pack(">BBB", 1, data['descent'], data['ascent']))

    chars = list(set(metrics.keys()))
    chars.sort()

    for c in chars:
      ffile.write(pack(">H", ord(c.decode('utf8'))))

    for c in chars:
      ffile.write(pack(">BBBBB", 
        metrics[c][0],
        metrics[c][1],
        -metrics[c][2],
        metrics[c][3],
        metrics[c][4]))

    ffile.close()

if __name__ == "__main__":
  parser = argparse.ArgumentParser(description='Convert old json file to bin')
  parser.add_argument('file', help='The json file')

  options = parser.parse_args()

  convert(options.file)